CC	=	gcc
BINDIR	=	../bin/$(ARCH)
CFLAGS	=	-Wall
PROGS	=	testintlist testidtree

all:	$(PROGS)

install:	$(PROGS)
	echo '04.datadec-eg: nothing to do for install'

clean:
	/bin/rm -f $(PROGS) *.o core datatypes.c datatypes.h

datatypes.c datatypes.h:	types.in
	$(BINDIR)/datadec datatypes types.in

testintlist:	testintlist.o datatypes.o
testidtree:	testidtree.o datatypes.o
datatypes.o:	datatypes.h
testintlist.o:	datatypes.h
testidlist.o:	datatypes.h
